# ApplicationFramework
PTKernel
PShort

# PShort_HArray2OfShortReal Class Reference

`#include <PShort_HArray2OfShortReal.hxx>`

## Public Member Functions

Standard_EXPORT | PShort_HArray2OfShortReal (const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2)
Standard_EXPORT | PShort_HArray2OfShortReal (const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2, const Standard_ShortReal &V)
Standard_EXPORT Standard_Integer | ColLength () const
Standard_Integer | LowerCol () const
Standard_Integer | LowerRow () const
Standard_EXPORT Standard_Integer | RowLength () const
Standard_EXPORT void | SetValue (const Standard_Integer Row, const Standard_Integer Col, const Standard_ShortReal &Value)
Standard_Integer | UpperCol () const
Standard_Integer | UpperRow () const
Standard_EXPORT Standard_ShortReal | Value (const Standard_Integer Row, const Standard_Integer Col) const
virtual Standard_EXPORT Handle_Standard_Persistent | ShallowCopy () const
virtual Standard_EXPORT void | ShallowDump (Standard_OStream &s) const
| PShort_HArray2OfShortReal ()
| PShort_HArray2OfShortReal (const Storage_stCONSTclCOM &a)
Standard_Integer | _CSFDB_GetPShort_HArray2OfShortRealmyLowerRow () const
void | _CSFDB_SetPShort_HArray2OfShortRealmyLowerRow (const Standard_Integer p)
Standard_Integer | _CSFDB_GetPShort_HArray2OfShortRealmyLowerCol () const
void | _CSFDB_SetPShort_HArray2OfShortRealmyLowerCol (const Standard_Integer p)
Standard_Integer | _CSFDB_GetPShort_HArray2OfShortRealmyUpperRow () const
void | _CSFDB_SetPShort_HArray2OfShortRealmyUpperRow (const Standard_Integer p)
Standard_Integer | _CSFDB_GetPShort_HArray2OfShortRealmyUpperCol () const
void | _CSFDB_SetPShort_HArray2OfShortRealmyUpperCol (const Standard_Integer p)
const PShort_FieldOfHArray2OfShortReal & | _CSFDB_GetPShort_HArray2OfShortRealData () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Member Functions

Standard_EXPORT PShort_FieldOfHArray2OfShortReal | Field () const
Standard_EXPORT Standard_Address | Datas () const

## Private Attributes

Standard_Integer | myLowerRow
Standard_Integer | myLowerCol
Standard_Integer | myUpperRow
Standard_Integer | myUpperCol
PShort_FieldOfHArray2OfShortReal | Data

## Constructor & Destructor Documentation

Standard_EXPORT PShort_HArray2OfShortReal::PShort_HArray2OfShortReal | ( | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2
| ) |

Standard_EXPORT PShort_HArray2OfShortReal::PShort_HArray2OfShortReal | ( | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2,
|  | const Standard_ShortReal & | V
| ) |

PShort_HArray2OfShortReal::PShort_HArray2OfShortReal | ( |  | ) | `[inline]`

PShort_HArray2OfShortReal::PShort_HArray2OfShortReal | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

const PShort_FieldOfHArray2OfShortReal& PShort_HArray2OfShortReal::_CSFDB_GetPShort_HArray2OfShortRealData | ( |  | ) | const`[inline]`

Standard_Integer PShort_HArray2OfShortReal::_CSFDB_GetPShort_HArray2OfShortRealmyLowerCol | ( |  | ) | const`[inline]`

Standard_Integer PShort_HArray2OfShortReal::_CSFDB_GetPShort_HArray2OfShortRealmyLowerRow | ( |  | ) | const`[inline]`

Standard_Integer PShort_HArray2OfShortReal::_CSFDB_GetPShort_HArray2OfShortRealmyUpperCol | ( |  | ) | const`[inline]`

Standard_Integer PShort_HArray2OfShortReal::_CSFDB_GetPShort_HArray2OfShortRealmyUpperRow | ( |  | ) | const`[inline]`

void PShort_HArray2OfShortReal::_CSFDB_SetPShort_HArray2OfShortRealmyLowerCol | ( | const Standard_Integer | p | ) | `[inline]`

void PShort_HArray2OfShortReal::_CSFDB_SetPShort_HArray2OfShortRealmyLowerRow | ( | const Standard_Integer | p | ) | `[inline]`

void PShort_HArray2OfShortReal::_CSFDB_SetPShort_HArray2OfShortRealmyUpperCol | ( | const Standard_Integer | p | ) | `[inline]`

void PShort_HArray2OfShortReal::_CSFDB_SetPShort_HArray2OfShortRealmyUpperRow | ( | const Standard_Integer | p | ) | `[inline]`

Standard_EXPORT Standard_Integer PShort_HArray2OfShortReal::ColLength | ( |  | ) | const

Standard_EXPORT Standard_Address PShort_HArray2OfShortReal::Datas | ( |  | ) | const`[private]`

Standard_EXPORT PShort_FieldOfHArray2OfShortReal PShort_HArray2OfShortReal::Field | ( |  | ) | const`[private]`

Standard_EXPORT const PShort_HArray2OfShortReal::Handle | ( | Standard_Type |  | ) | const

Standard_Integer PShort_HArray2OfShortReal::LowerCol | ( |  | ) | const

Standard_Integer PShort_HArray2OfShortReal::LowerRow | ( |  | ) | const

Standard_EXPORT Standard_Integer PShort_HArray2OfShortReal::RowLength | ( |  | ) | const

Standard_EXPORT void PShort_HArray2OfShortReal::SetValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col,
|  | const Standard_ShortReal & | Value
| ) |

virtual Standard_EXPORT Handle_Standard_Persistent PShort_HArray2OfShortReal::ShallowCopy | ( |  | ) | const`[virtual]`

virtual Standard_EXPORT void PShort_HArray2OfShortReal::ShallowDump | ( | Standard_OStream & | s | ) | const`[virtual]`

Standard_Integer PShort_HArray2OfShortReal::UpperCol | ( |  | ) | const

Standard_Integer PShort_HArray2OfShortReal::UpperRow | ( |  | ) | const

Standard_EXPORT Standard_ShortReal PShort_HArray2OfShortReal::Value | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) | const

## Field Documentation

PShort_FieldOfHArray2OfShortReal PShort_HArray2OfShortReal::Data `[private]`

Standard_Integer PShort_HArray2OfShortReal::myLowerCol `[private]`

Standard_Integer PShort_HArray2OfShortReal::myLowerRow `[private]`

Standard_Integer PShort_HArray2OfShortReal::myUpperCol `[private]`

Standard_Integer PShort_HArray2OfShortReal::myUpperRow `[private]`

The documentation for this class was generated from the following file:

- PShort_HArray2OfShortReal.hxx